//VARIABLES GLOBALES
var oQuestions = new Array();
var oQuestionsOld = new Array();
var iIndexActuel = 0;
var bShowingResult = false;
var iShuffledOrder = new Array();
var imgManager = new ImageManager();

var sNomUsager = "";
var sPrenomUsager = "";
var sMatriculeUsager = "";
var sGroupeUsager = "";
var sCourrielUsager = "";
var sCoordUsager = "";

//CONSTANTES
//Type de multiple
var CHOIX_MULTIPLES = 0;
var REPONSES_MULTIPLES = 1;

//Type de closure
var SIMPLE = 0;
var MULTIPLE = 1;

//Type mise en ordre
var TEXTE = 0;
var IMAGE = 1;

//Type association
var TEXTE_TEXTE = 0;
var TEXTE_IMAGE = 1;
var IMAGE_TEXTE = 2;
var IMAGE_IMAGE = 3;

//Type detiquette
var LETTRES = 0;
var CHIFFRES = 1;
var NONE = 2;

//Type affichage damier
var NON_MASQUE = 0;
var MASQUE = 1;

//IMAGE SIZE
var iMaxImgHeight = 120;

//*** SETTINGS ***
//GENERAL
var sQuizName = "Les pouvoirs de la R&eacute;publique (1)";

//STATUS
var STATUS_AFAIRE = "&Agrave; faire";
var STATUS_AREPRENDRE = "&Agrave; reprendre";
var STATUS_ACOMPLETER = "%MSG_A_COMPLETER";
var STATUS_REUSSIE = "R&eacute;ussi";
var STATUS_NONE = " - ";

//DECIMAL
var sDecDelimiter = ",";

//COLONNES DE RESULTATS
var sTitreResultat = "R&eacute;sultats";
var sColQuestion = "Question";
var sColStatut = "Statut";
var sColNbEssais = "Nombre d&rsquo;essais";
var sColPoints = "Points";

//MESSAGES
var sMsgBRep = "Bonne r&eacute;ponse";
var sMsgMRep = "Mauvaise r&eacute;ponse";
var sMsgRepInc = "R&eacute;ponse incompl&egrave;te";
var sMsgMotsMOrtho = "Mots mal orthographi&eacute;s";
var sMsgMotsManq = "Mots manquants (<u>soulign&eacute;s</u>)";
var sMsgMotsTrop = "Mots en trop [entre crochets]";
var sMsgFinQuiz = "Fin du questionnaire.";
var sMsgNomAbsent = "Entrez votre nom dans le champ correspondant.";
var sMsgConfirmSubmit = "Le questionnaire se ferme aprs soumission. Voulez-vous vraiment soumettre le questionnaire ?";
var sMsgConfirmReprendre = "Reprendre efface toutes les rponses ainsi que les rsultats. Si vous ne voulez pas effacer ces rsultats ou si vous voulez les faire imprimer avant de reprendre le questionnaire, cliquez sur Annuler, sinon cliquez sur OK.";

//FORMULAIRE DE SOUMISSION
var sLblNom = "Nom OBLIGATOIRE";
var sLblPrenom = "Pr&eacute;nom OBLIGATOIRE";
var sLblMatricule = "Niveau : 6, 5, 4 ou 3 OBLIGATOIRE";
var sLblGroupe = "Classe : 6A, 6B, 5A, 5B, 4A, 4B, 3A ou 3B OBLIGATOIRE";
var sLblCourriel = "Adresse &eacute;lectronique FACULTATIF";
var sLblCoord = "Autre";
var bShowFormulaire = false;

//PALETTE
var sPosDelimiter = "de";
var sLblSolution = "Solution";

//Fonctions
function initializeQuiz(){

	oQuestions[0] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-0.html");
oQuestions[0].addChoix("4 ans","",false);
oQuestions[0].addChoix("5 ans","",true);
oQuestions[0].addChoix("6 ans","",false);
oQuestions[0].addChoix("7 ans","Ce n'est plus sept ans aujourd'hui mais a l'a t jusqu'en 2002.",false);
oQuestions[0].setPond(1.0);
oQuestions[0].setType(TEXTE);
oQuestions[0].setTypeEtiquette(NONE);
oQuestions[0].shuffle();
oQuestions[1] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-1.html");
oQuestions[1].addChoix("Le Palais de l'Elyse.","",true);
oQuestions[1].addChoix("L'Htel Matignon. ","",false);
oQuestions[1].addChoix("Le Palais Bourbon.","",false);
oQuestions[1].addChoix("Le Palais du Luxembourg.","",false);
oQuestions[1].setPond(1.0);
oQuestions[1].setType(TEXTE);
oQuestions[1].setTypeEtiquette(NONE);
oQuestions[1].shuffle();
imgManager.addImage("librairie/miniat-Elysee.jpg",115,86);
oQuestions[2] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-2.html");
oQuestions[2].addChoix("Le Palais de l'Elyse. ","",false);
oQuestions[2].addChoix("L'Htel Matignon. ","",false);
oQuestions[2].addChoix("Le Palais Bourbon.","",false);
oQuestions[2].addChoix("Le Palais du Luxembourg.","",true);
oQuestions[2].setPond(1.0);
oQuestions[2].setType(TEXTE);
oQuestions[2].setTypeEtiquette(NONE);
oQuestions[2].shuffle();
imgManager.addImage("librairie/miniat_palais_Luxembourg.jpg",174,96);
oQuestions[3] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-3.html");
oQuestions[3].addChoix("Le Palais de l'Elyse.","",false);
oQuestions[3].addChoix("L'Hotel Matignon.","",false);
oQuestions[3].addChoix("Le Palais Bourbon.","",true);
oQuestions[3].addChoix("Le Palais du Luxembourg.","",false);
oQuestions[3].setPond(1.0);
oQuestions[3].setType(TEXTE);
oQuestions[3].setTypeEtiquette(NONE);
oQuestions[3].shuffle();
imgManager.addImage("librairie/miniat-palais_bourbon2.jpg",104,78);
oQuestions[4] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-4.html");
oQuestions[4].addChoix("Palais de l'Elyse.","",false);
oQuestions[4].addChoix("Htel Matignon. ","",true);
oQuestions[4].addChoix("Palais Bourbon.","",false);
oQuestions[4].addChoix("Palais du Luxembourg.","",false);
oQuestions[4].setPond(1.0);
oQuestions[4].setType(TEXTE);
oQuestions[4].setTypeEtiquette(NONE);
oQuestions[4].shuffle();
imgManager.addImage("librairie/miniat-Hotel-Matignon-1.jpg",120,71);
oQuestions[5] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-5.html");
oQuestions[5].addChoix("Un collge lectoral. ","",false);
oQuestions[5].addChoix("Les ministres. ","",false);
oQuestions[5].addChoix("Les citoyens. ","",true);
oQuestions[5].addChoix("Les dputs.","",false);
oQuestions[5].setPond(1.0);
oQuestions[5].setType(TEXTE);
oQuestions[5].setTypeEtiquette(NONE);
oQuestions[5].shuffle();
imgManager.addImage("librairie/bureau_president.jpg",105,104);
oQuestions[6] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-6.html");
oQuestions[6].addChoix("4 ans. ","",false);
oQuestions[6].addChoix("5 ans. ","",true);
oQuestions[6].addChoix("6 ans. ","",false);
oQuestions[6].addChoix("7 ans. ","",false);
oQuestions[6].setPond(1.0);
oQuestions[6].setType(TEXTE);
oQuestions[6].setTypeEtiquette(NONE);
oQuestions[6].shuffle();
imgManager.addImage("librairie/petite-assemb_nationale2.jpg",259,194);
oQuestions[7] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-7.html");
oQuestions[7].addChoix("3 ans.","",false);
oQuestions[7].addChoix("5 ans.","",false);
oQuestions[7].addChoix("7 ans.","",false);
oQuestions[7].addChoix("9 ans.","",true);
oQuestions[7].setPond(1.0);
oQuestions[7].setType(TEXTE);
oQuestions[7].setTypeEtiquette(NONE);
oQuestions[7].shuffle();
imgManager.addImage("librairie/miniat-senat-1.jpg",77,51);
oQuestions[8] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-8.html");
oQuestions[8].addChoix("Les ministres. ","Non, c'est l'inverse.",false);
oQuestions[8].addChoix("Les dputs. ","Non mais nanmoins, le premier ministre est choisi dans la majorit politique  l'Assemble nationale.",false);
oQuestions[8].addChoix("Les snateurs. ","Non.",false);
oQuestions[8].addChoix("Le chef de l'Etat (ou prsident de la Rpublique).","Bravo !",true);
oQuestions[8].setPond(1.0);
oQuestions[8].setType(TEXTE);
oQuestions[8].setTypeEtiquette(NONE);
oQuestions[8].shuffle();
imgManager.addImage("librairie/miniat-Hotel-Matignon-1.jpg",120,71);
oQuestions[9] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-9.html");
oQuestions[9].addChoix("Le premier ministre seul. ","",false);
oQuestions[9].addChoix("Le chef de l'Etat seul. ","",false);
oQuestions[9].addChoix("Le ministre en accord avec le chef de l'Etat.","",true);
oQuestions[9].addChoix("Les dputs. ","",false);
oQuestions[9].setPond(1.0);
oQuestions[9].setType(TEXTE);
oQuestions[9].setTypeEtiquette(NONE);
oQuestions[9].shuffle();
oQuestions[10] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-10.html");
oQuestions[10].addChoix("Ils sont nomms par le Prsident de la Rpublique.","",false);
oQuestions[10].addChoix("Ils sont lus par les snateurs.","",false);
oQuestions[10].addChoix("Ils sont lus par les citoyens. ","",true);
oQuestions[10].addChoix("Ils sont lus par les ministres. ","",false);
oQuestions[10].setPond(1.0);
oQuestions[10].setType(TEXTE);
oQuestions[10].setTypeEtiquette(NONE);
oQuestions[10].shuffle();
imgManager.addImage("librairie/miniat-palais_bourbon2.jpg",104,78);
oQuestions[11] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-11.html");
oQuestions[11].addChoix("Ils sont lus par les dputs. ","",false);
oQuestions[11].addChoix("Ils sont lus par les citoyens. ","",false);
oQuestions[11].addChoix("Ils sont lus par un collge lectoral. ","",true);
oQuestions[11].addChoix("Ils sont dsigns par le Prsident de la Rpublique. ","",false);
oQuestions[11].setPond(1.0);
oQuestions[11].setType(TEXTE);
oQuestions[11].setTypeEtiquette(NONE);
oQuestions[11].shuffle();
imgManager.addImage("librairie/miniat_palais_Luxembourg.jpg",174,96);
oQuestions[12] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-12.html");
oQuestions[12].addChoix("Les citoyens. ","",false);
oQuestions[12].addChoix("Les dputs. ","",false);
oQuestions[12].addChoix("Le gouvernement.","",true);
oQuestions[12].addChoix("Le Prsident de la Rpublique. ","",false);
oQuestions[12].setPond(1.0);
oQuestions[12].setType(TEXTE);
oQuestions[12].setTypeEtiquette(NONE);
oQuestions[12].shuffle();
oQuestions[13] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-13.html");
oQuestions[13].addChoix("Le Snat et l'Assemble nationale. ","",true);
oQuestions[13].addChoix("Le gouvernement et l'Assemble nationale. ","",false);
oQuestions[13].addChoix("Le gouvernement et le Snat. ","",false);
oQuestions[13].addChoix("Le gouvernement et le Conseil constitutionnel. ","",false);
oQuestions[13].setPond(1.0);
oQuestions[13].setType(TEXTE);
oQuestions[13].setTypeEtiquette(NONE);
oQuestions[13].shuffle();
oQuestions[14] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-14.html");
oQuestions[14].addChoix("Les citoyens. ","",false);
oQuestions[14].addChoix("Le conseil municipal. ","",true);
oQuestions[14].addChoix("Le prfet. ","",false);
oQuestions[14].addChoix("Le prsident du conseil gnral. ","",false);
oQuestions[14].setPond(1.0);
oQuestions[14].setType(TEXTE);
oQuestions[14].setTypeEtiquette(NONE);
oQuestions[14].shuffle();
oQuestions[15] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-15.html");
oQuestions[15].addChoix("Le nom du candidat. ","",false);
oQuestions[15].addChoix("Un liste de candidats. ","",false);
oQuestions[15].addChoix("Le nom des deux premiers candidats. ","",false);
oQuestions[15].addChoix("Oui ou non.","",true);
oQuestions[15].setPond(1.0);
oQuestions[15].setType(TEXTE);
oQuestions[15].setTypeEtiquette(NONE);
oQuestions[15].shuffle();
oQuestions[16] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-16.html");
oQuestions[16].addChoix("Elire le Prsident de la Rpublique. ","",false);
oQuestions[16].addChoix("Dsigner les ministres. ","",false);
oQuestions[16].addChoix("Voter la loi. ","",true);
oQuestions[16].addChoix("Gouverner.","",false);
oQuestions[16].setPond(1.0);
oQuestions[16].setType(TEXTE);
oQuestions[16].setTypeEtiquette(NONE);
oQuestions[16].shuffle();
imgManager.addImage("librairie/petite-assemb_nationale2.jpg",259,194);
oQuestions[17] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-17.html");
oQuestions[17].addChoix("Excutif.","",false);
oQuestions[17].addChoix("Lgislatif.","",true);
oQuestions[17].addChoix("Judiciaire.","",false);
oQuestions[17].setPond(1.0);
oQuestions[17].setType(TEXTE);
oQuestions[17].setTypeEtiquette(NONE);
oQuestions[17].shuffle();
oQuestions[18] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-18.html");
oQuestions[18].addChoix("Excutif. ","",true);
oQuestions[18].addChoix("Lgislatif. ","",false);
oQuestions[18].addChoix("Judiciaire. ","",false);
oQuestions[18].setPond(1.0);
oQuestions[18].setType(TEXTE);
oQuestions[18].setTypeEtiquette(NONE);
oQuestions[18].shuffle();
oQuestions[19] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-19.html");
oQuestions[19].addChoix("Excutif. ","",true);
oQuestions[19].addChoix("Lgislatif. ","",false);
oQuestions[19].addChoix("Judiciaire. ","",false);
oQuestions[19].setPond(1.0);
oQuestions[19].setType(TEXTE);
oQuestions[19].setTypeEtiquette(NONE);
oQuestions[19].shuffle();
oQuestions[20] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-20.html");
oQuestions[20].addChoix("Gouverner. ","",false);
oQuestions[20].addChoix("Voter la loi. ","",false);
oQuestions[20].addChoix("Juger. ","",false);
oQuestions[20].addChoix("Vrifier la conformit des lois avec la Constitution.","",true);
oQuestions[20].setPond(1.0);
oQuestions[20].setType(TEXTE);
oQuestions[20].setTypeEtiquette(NONE);
oQuestions[20].shuffle();
oQuestions[21] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-21.html");
oQuestions[21].addChoix("4 ans. ","",false);
oQuestions[21].addChoix("5 ans. ","",false);
oQuestions[21].addChoix("6 ans. ","Oui, comme celle du mandat du prsident du conseil rgional.",true);
oQuestions[21].addChoix("7 ans. ","",false);
oQuestions[21].setPond(1.0);
oQuestions[21].setType(TEXTE);
oQuestions[21].setTypeEtiquette(NONE);
oQuestions[21].shuffle();
oQuestions[22] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-22.html");
oQuestions[22].addChoix("25 %","",false);
oQuestions[22].addChoix("50 %","Oui, on appelle cela la parit.",true);
oQuestions[22].addChoix("75 %","",false);
oQuestions[22].setPond(1.0);
oQuestions[22].setType(TEXTE);
oQuestions[22].setTypeEtiquette(NONE);
oQuestions[22].shuffle();
oQuestions[23] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-23.html");
oQuestions[23].addChoix("Oui","",true);
oQuestions[23].addChoix("Non","",false);
oQuestions[23].setPond(1.0);
oQuestions[23].setType(TEXTE);
oQuestions[23].setTypeEtiquette(NONE);
oQuestions[23].shuffle();
oQuestions[24] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-24.html");
oQuestions[24].addChoix("La commission europenne. ","",false);
oQuestions[24].addChoix("Le conseil des ministres. ","",false);
oQuestions[24].addChoix("Le parlement europen. ","",true);
oQuestions[24].addChoix("Le conseil europen. ","",false);
oQuestions[24].setPond(1.0);
oQuestions[24].setType(TEXTE);
oQuestions[24].setTypeEtiquette(NONE);
oQuestions[24].shuffle();
oQuestions[25] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-25.html");
oQuestions[25].addChoix("Un ministre. ","C'est le cas de la loi Aubry sur les 35 heures (1998) propose par Martine Aubry alors ministre du gouvernement Lionel Jospin.",true);
oQuestions[25].addChoix("Le Prsident.","",false);
oQuestions[25].addChoix("Un dput. ","C'est le cas de la loi Evin (prenant effet en 1992) qui fut la premire interdiction de fumer dans les lieux publics ",true);
oQuestions[25].addChoix("Un snateur.","",true);
oQuestions[25].setTousBRepO(true);

oQuestions[25].setPond(3.0);
oQuestions[25].setType(TEXTE);
oQuestions[25].setTypeEtiquette(NONE);
oQuestions[25].shuffle();
oQuestions[26] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-26.html");
oQuestions[26].addChoix("Le premier ministre. ","",false);
oQuestions[26].addChoix("Le Prsident de la Rpublique. ","",true);
oQuestions[26].addChoix("Les dputs. ","",false);
oQuestions[26].addChoix("Les snateurs. ","",false);
oQuestions[26].setPond(1.0);
oQuestions[26].setType(TEXTE);
oQuestions[26].setTypeEtiquette(NONE);
oQuestions[26].shuffle();
oQuestions[27] = new QMultiple(CHOIX_MULTIPLES,"question_vrai-faux-27.html");
oQuestions[27].addChoix("Vrai","Cela signifie qu'il doit rendre compte   l'Assemble nationale de ce qu'il fait. C'est pourquoi, tous les mercredis, les ministres viennent  l'Assemble rpondre aux questions des dputs.",true);
oQuestions[27].addChoix("Faux","",false);
oQuestions[27].setPond(1.0);
oQuestions[27].setType(TEXTE);
oQuestions[27].setTypeEtiquette(NONE);
oQuestions[27].shuffle();
oQuestions[28] = new QMultiple(CHOIX_MULTIPLES,"question_vrai-faux-28.html");
oQuestions[28].addChoix("Vrai","En effet, l'Assemble peut voter une motion de censure qui entrane l'obligation pour le prsident de choisir un autre gouvernement. Cela est exceptionnel dans la Vme Rpublique.",true);
oQuestions[28].addChoix("Faux","",false);
oQuestions[28].setPond(1.0);
oQuestions[28].setType(TEXTE);
oQuestions[28].setTypeEtiquette(NONE);
oQuestions[28].shuffle();
oQuestions[29] = new QMultiple(CHOIX_MULTIPLES,"question_vrai-faux-29.html");
oQuestions[29].addChoix("Vrai","",false);
oQuestions[29].addChoix("Faux","Non, seul le Prsident de la Rpublique le peut.",true);
oQuestions[29].setPond(1.0);
oQuestions[29].setType(TEXTE);
oQuestions[29].setTypeEtiquette(NONE);
oQuestions[29].shuffle();
oQuestions[30] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-30.html");
oQuestions[30].addChoix("proposer un rfrendum aux Franais. ","",true);
oQuestions[30].addChoix("dissoudre l'assemble nationale.","",true);
oQuestions[30].addChoix("changer de gouvernement.","",true);
oQuestions[30].addChoix("dcider seul de changer la Constitution.","",false);
oQuestions[30].addChoix("saisir le Conseil constitutionnel.","",true);
oQuestions[30].addChoix("dsigner tous les membres du Conseil constitutionnel.","",false);
oQuestions[30].addChoix("faire grce (dispenser un condamn de sa peine).","",true);
oQuestions[30].addChoix("promulguer les lois.","",true);
oQuestions[30].setTousBRepO(true);

oQuestions[30].setPond(1.0);
oQuestions[30].setType(TEXTE);
oQuestions[30].setTypeEtiquette(NONE);
oQuestions[30].shuffle();
oQuestions[31] = new QMultiple(CHOIX_MULTIPLES,"question_vrai-faux-31.html");
oQuestions[31].addChoix("Vrai","C'est exact. C'est pourquoi, le Prsident doit en pratique choisir un gouvernement qui corresponde  la majorit parlementaire sans quoi, l'Assemble ne voterait pas la confiance. Ainsi, un prsident de gauche avec une Assemble de droite se verra \"oblig\" de nommer un gouvernement de droite. On appelle cela la cohabitation.",true);
oQuestions[31].addChoix("Faux","",false);
oQuestions[31].setPond(1.0);
oQuestions[31].setType(TEXTE);
oQuestions[31].setTypeEtiquette(NONE);
oQuestions[31].shuffle();
oQuestions[32] = new QAssociation("question_association-32.html");
oQuestions[32].addChoix("Htel Matignon.","Premier ministre.",0,"Htel est  prendre dans le sens \"htel particulier\" c'est--dire une belle demeure de ville et non pas d'un htel pour y loger temporairement.","");
oQuestions[32].addChoix("Palais de l'Elyse.","Prsident de la Rpublique.",0,"","Tu confonds les palais.");
oQuestions[32].addChoix("Palais du Luxembourg.","Snat.",0,"","Tu confonds les palais.");
oQuestions[32].addChoix("Palais Bourbon.","Assemble nationale.",0,"","Tu confonds les palais.");
oQuestions[32].setPond(4.0);
oQuestions[32].setType(TEXTE_TEXTE);
oQuestions[32].setTypeEtiquette(NONE);
oQuestions[32].shuffle();
oQuestions[33] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-33.html");
oQuestions[33].addChoix("Elyse.","",false);
oQuestions[33].addChoix("Matignon.","",false);
oQuestions[33].addChoix("Palais du Luxembourg.","",false);
oQuestions[33].addChoix("Prsidence de la Rpublique.","",true);
oQuestions[33].addChoix("Gouvernement.","",true);
oQuestions[33].addChoix("Assemble. ","",true);
oQuestions[33].addChoix("Snat.","",true);
oQuestions[33].setTousBRepO(true);

oQuestions[33].setPond(4.0);
oQuestions[33].setType(TEXTE);
oQuestions[33].setTypeEtiquette(NONE);
oQuestions[33].shuffle();
oQuestions[34] = new QMultiple(REPONSES_MULTIPLES,"question_rmultiple-34.html");
oQuestions[34].addChoix("Dputs.","",true);
oQuestions[34].addChoix("Snateur. ","",false);
oQuestions[34].addChoix("Membres du Conseil constitutionnel.","",false);
oQuestions[34].addChoix("Prsident de la Rpublique.","",true);
oQuestions[34].addChoix("Maires.","",false);
oQuestions[34].addChoix("Ministres.","",false);
oQuestions[34].setTousBRepO(true);

oQuestions[34].setPond(2.0);
oQuestions[34].setType(TEXTE);
oQuestions[34].setTypeEtiquette(NONE);
oQuestions[34].shuffle();
oQuestions[35] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-35.html");
oQuestions[35].addChoix("Les citoyens. ","",false);
oQuestions[35].addChoix("Le Prsident de la Rpublique, le Prsident de l'Assemble nationale et le Prsident du Snat.","Oui, un chacun tous les trois. ",true);
oQuestions[35].addChoix("Les dputs. ","",false);
oQuestions[35].addChoix("Les ministres. ","",false);
oQuestions[35].setPond(1.0);
oQuestions[35].setType(TEXTE);
oQuestions[35].setTypeEtiquette(NONE);
oQuestions[35].shuffle();
oQuestions[36] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-36.html");
oQuestions[36].addChoix("3","Plus que cela.",false);
oQuestions[36].addChoix("5","Plus que cela.",false);
oQuestions[36].addChoix("9","Oui !",true);
oQuestions[36].addChoix("12","Moins que cela.",false);
oQuestions[36].setPond(1.0);
oQuestions[36].setType(TEXTE);
oQuestions[36].setTypeEtiquette(NONE);
oQuestions[36].shuffle();
oQuestions[37] = new QAssociation("question_association-37.html");
oQuestions[37].addChoix("miniat-Elysee.jpg","Palais de l'Elyse",0,"Bravo !","Essaie encore.");
oQuestions[37].addChoix("miniat-Hotel-Matignon-1.jpg","Htel Matignon",0,"B ravo !","Essaie encore.");
oQuestions[37].addChoix("miniat-palais_bourbon2.jpg","Palais Bourbon",0,"Bravo !","Essaie encore.");
oQuestions[37].addChoix("miniat_palais_Luxembourg.jpg","Palais du Luxembourg",0,"Bravo !","Essaie encore.");
oQuestions[37].setPond(4.0);
oQuestions[37].setType(IMAGE_TEXTE);
oQuestions[37].setTypeEtiquette(NONE);
oQuestions[37].shuffle();
imgManager.addImage("librairie/miniat_palais_Luxembourg.jpg",174,96);
imgManager.addImage("librairie/miniat-palais_bourbon2.jpg",104,78);
imgManager.addImage("librairie/miniat-Hotel-Matignon-1.jpg",120,71);
imgManager.addImage("librairie/miniat-Elysee.jpg",115,86);
oQuestions[38] = new QLacune("question_lacune-38.html");
oQuestions[38].setReponse("parlement","Bravo !");
oQuestions[38].setRetroInconnue("Erreur inconnue");
oQuestions[38].addMReponse("Parlement","La consigne indique qu'il faut crire en minuscules.");
oQuestions[38].setPond(2.0);
oQuestions[39] = new QLacune("question_lacune-39.html");
oQuestions[39].setReponse("premier ministre","Bravo !");
oQuestions[39].setRetroInconnue("Erreur inconnue");
oQuestions[39].addMReponse("le premier ministre","relis la consigne, il y est indiqu \" sans article\"");
oQuestions[39].addMReponse("Premier ministre","relis la consigne, il y est indiqu \" en minuscules\"");
oQuestions[39].addMReponse("premier Ministre","relis la consigne, il y est indiqu \" en minuscules\"");
oQuestions[39].addMReponse("Premier Ministre","relis la consigne, il y est indiqu \" en minuscules\"");
oQuestions[39].setPond(2.0);
oQuestions[40] = new QLacune("question_lacune-40.html");
oQuestions[40].setReponse("parlement","Bravo !");
oQuestions[40].setRetroInconnue("Erreur inconnue");
oQuestions[40].addMReponse("Parlement","Relis la consigne, il y est indiqu \" en minuscules\"");
oQuestions[40].addMReponse("assemble nationale","C'est une partie seulement.");
oQuestions[40].addMReponse("snat","C'est une partie seulement.");
oQuestions[40].addMReponse("assemble nationale et snat","Quel nom cela porte-t-il ?");
oQuestions[40].addMReponse("snat et assemble nationale","Quel nom cela porte-t-il ?");
oQuestions[40].setPond(2.0);
oQuestions[41] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-41.html");
oQuestions[41].addChoix("13 M","C'est peu sur 63 M d'habitants.",false);
oQuestions[41].addChoix("23 M","C'est peu sur 63 M d'habitants..",false);
oQuestions[41].addChoix("33 M","C'est peu sur 63 M d'habitants..",false);
oQuestions[41].addChoix("43 M","Bravo !",true);
oQuestions[41].setPond(1.0);
oQuestions[41].setType(TEXTE);
oQuestions[41].setTypeEtiquette(NONE);
oQuestions[41].shuffle();
oQuestions[42] = new QLacune("question_lacune-42.html");
oQuestions[42].setReponse("dputs","Bravo !");
oQuestions[42].setRetroInconnue("Erreur");
oQuestions[42].addMReponse("dput","Relis la consigne, il y est indiqu que le mot doit tre au pluriel.");
oQuestions[42].addMReponse("Dputs","Relis la consigne, il y est indiqu que le mot ne doit pas comporter de majuscule.");
oQuestions[42].addMReponse("Dput","Relis la consigne, il y est indiqu que le mot doit tre au pluriel et ne doit pas comporter de majuscule.");
oQuestions[42].setPond(2.0);
imgManager.addImage("librairie/petite-assemb_nationale2.jpg",259,194);
oQuestions[43] = new QLacune("question_lacune-43.html");
oQuestions[43].setReponse("5 ans","Bravo !");
oQuestions[43].setRetroInconnue("Erreur inconnue");
oQuestions[43].addMReponse("4 ans","C'est un peu plus.");
oQuestions[43].addMReponse("6 ans","C'est un peu moins.");
oQuestions[43].addMReponse("7 ans","C'tait le cas jusqu'en 2002 mais ce n'est plus vrai aujourd'hui.");
oQuestions[43].setPond(2.0);
oQuestions[44] = new QLacune("question_lacune-44.html");
oQuestions[44].setReponse("5 ans","Bravo !");
oQuestions[44].setRetroInconnue("Erreur inconnue");
oQuestions[44].addMReponse("4 ans","Pas assez long.");
oQuestions[44].addMReponse("6 ans","Trop long.");
oQuestions[44].addMReponse("7 ans","Trop long.");
oQuestions[44].setPond(2.0);
oQuestions[45] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-45.html");
oQuestions[45].addChoix("Le Prsident de la Rpublique.","",false);
oQuestions[45].addChoix("Le Parlement runi en Congrs.","En effet, et il faut les 3/5me des voix des dputs et des snateurs runis pour que la modification soit vote.",true);
oQuestions[45].addChoix("L'Assemble nationale.","",false);
oQuestions[45].addChoix("Le Snat.","",false);
oQuestions[45].addChoix("Le Gouvernement.","",false);
oQuestions[45].setPond(2.0);
oQuestions[45].setType(TEXTE);
oQuestions[45].setTypeEtiquette(NONE);
oQuestions[45].shuffle();


	//afficher la premiere question
	contenu.location.href = getQuestionActuelle().getNomFichier();
}
function shuffle(iNbQuestion){
	var oQuestionsTemp = new Array();
	
	iShuffledOrder = getShuffledOrder(oQuestions.length);
	oQuestionsOld = copyArray(oQuestions);
	
	for(var i = 0;i < oQuestions.length;i++){
		oQuestionsTemp[iShuffledOrder[i]] = oQuestionsOld[i];
	}
	
	oQuestions = new Array();

	for(var i = 0;i < iNbQuestion;i++){
		oQuestions[i] = oQuestionsTemp[i];
	}
}
function getQuestionActuelle(){
	return oQuestions[iIndexActuel];
}
function moveNext(){
	if(iIndexActuel == (oQuestions.length - 1)){
		alert(sMsgFinQuiz);
	}else{
		moveTo(iIndexActuel + 1);
	}
}
function movePrevious(){
	if(iIndexActuel == 0){
		//alert(DEBUT_QUIZ);
	}else{
		moveTo(iIndexActuel - 1);
	}
}
function moveTo(i){
	if((i >= 0) && (i < oQuestions.length)){
		if(!bShowingResult){
			getQuestionActuelle().saveData();
		}
		iIndexActuel = i;
		contenu.location.href = getQuestionActuelle().getNomFichier();
		return true;
	}
	return false;
}
function getReadablePos(){
	return (iIndexActuel + 1) + " " + sPosDelimiter + " " + oQuestions.length;
}
function showResultats(){
	contenu.location.href = "resultats.html";
	bShowingResult = true;
	retro.reset();
}