<?php

$sRequiredTables =      array(  "participants",
                                "participations",
                                "questions",
                                "quizs",
                                "users");

$sCreationQueryParticipants =   "CREATE TABLE `participants` (
                                `IDParticipant` int(10) unsigned NOT NULL auto_increment,
                                `Prenom` varchar(45) NOT NULL default '',
                                `Nom` varchar(45) NOT NULL default '',
                                `Groupe` varchar(45) NOT NULL default '',
                                `Matricule` varchar(45) NOT NULL default '',
                                `Courriel` varchar(45) NOT NULL default '',
                                `Coordonnees` longtext NOT NULL,
                                PRIMARY KEY  (`IDParticipant`)
                                ) ENGINE=InnoDB DEFAULT CHARSET=latin1";
                                
$sCreationQueryParticipations = "CREATE TABLE `participations` (
                                `IDParticipant` int(10) unsigned NOT NULL default '0',
                                `IDQuestion` int(10) unsigned NOT NULL default '0',
                                `Pointage` double NOT NULL default '0',
                                `Reponse` longtext NOT NULL,
                                PRIMARY KEY  (`IDParticipant`,`IDQuestion`)
                                ) ENGINE=InnoDB DEFAULT CHARSET=latin1";
                                
$sCreationQueryQuestions =      "CREATE TABLE `questions` (
                                `IDQuestion` int(10) unsigned NOT NULL auto_increment,
                                `QuestionName` varchar(45) NOT NULL default '',
                                `QuestionType` varchar(45) NOT NULL default '',
                                `Ponderation` int(10) unsigned NOT NULL default '0',
                                `EnonceHTML` longtext NOT NULL,
                                `ReponseHTML` longtext NOT NULL,
                                `IDQuiz` int(10) unsigned NOT NULL default '0',
                                `NoQuestion` int(10) unsigned NOT NULL default '0',
                                PRIMARY KEY  (`IDQuestion`)
                                ) ENGINE=InnoDB DEFAULT CHARSET=latin1";
                                
$sCreationQueryQuizs =          "CREATE TABLE `quizs` (
                                `IDQuiz` int(10) unsigned NOT NULL auto_increment,
                                `QuizIdent` varchar(45) NOT NULL default '',
                                `QuizVersion` varchar(45) NOT NULL default '',
                                `QuizName` varchar(45) NOT NULL default '',
                                `NbQuestions` int(10) unsigned NOT NULL default '0',
                                PRIMARY KEY  (`IDQuiz`)
                                ) ENGINE=InnoDB DEFAULT CHARSET=latin1";
                                
$sCreationQueryUsers =          "CREATE TABLE `users` (
                                `IDUser` int(10) unsigned NOT NULL auto_increment,
                                `Username` varchar(45) NOT NULL default '',
                                `Password` varchar(45) NOT NULL default '',
                                PRIMARY KEY  (`IDUser`)
                                ) ENGINE=InnoDB DEFAULT CHARSET=latin1";

$sCreationQuerys = array(   $sCreationQueryParticipants,
                            $sCreationQueryParticipations,
                            $sCreationQueryQuestions,
                            $sCreationQueryQuizs,
                            $sCreationQueryUsers);

function checkTablesStruct($sRequiredTables){
    $sTableList = array();
    $bStructOK = true;
    
    $oRS = mysql_query("show tables");
    $iNbResult = mysql_num_rows($oRS);
    
    for($i = 0;$i < $iNbResult;$i++){
        $sTableList[$i] = mysql_result($oRS,$i);
    }
    
    for($i = 0;$i < count($sRequiredTables);$i++){
        if(!isInArray($sRequiredTables[$i],$sTableList)){
            $bStructOK = false;
        }
    }
    
    return $bStructOK;
}

function createTablesStruct($sTablesToDrop,$sCreationQuerys,$sAdminPassword){
    //drop tables
    for($i = 0;$i < count($sTablesToDrop);$i++){
        $sQuery = "DROP TABLE IF EXISTS `$sTablesToDrop[$i]`";
        
        $bSuccess = mysql_query($sQuery);
        if(!$bSuccess){
            die(mysql_error());
        }
    }
    
    //create tables
    for($i = 0;$i < count($sCreationQuerys);$i++){
        $sQuery = $sCreationQuerys[$i];
        
        $bSuccess = mysql_query($sQuery);
        if(!$bSuccess){
            die(mysql_error());
        }
    }
    
    //insert user admin
    $sQuery = "insert into users (Username,Password) values('admin',password('$sAdminPassword'))";
    $bSuccess = mysql_query($sQuery);
    if(!$bSuccess){
        die(mysql_error());
    }
}

function isInArray($s,$a){
    for($i = 0;$i < count($a);$i++){
        if($a[$i] == $s){
            return true;
        }
    }
    return false;
}

?>